LSVPD(8)

NAME
lsvpd - list Vital Product Data (VPD)

SYNOPSIS

lsvpd [-l<device> | --list=<device>]
 [-m | --mark]
 [-s<serial#> | --serial=<serial#>]
 [-t<type/model#> | --type=<type/model#>]
 [-p<database-directory> | --path=<database-directory>]
 [-z<database-archive> | --zip=<database-archive>]
 [-D | --debug]

lsvpd [-v | --version]

lsvpd [-h | --help]

DESCRIPTION

This program is part of the lsvpd package for Linux. This package is a (partial) reimplementation of AIX's lsvpd and related commands.

 lsvpd lists Vital Product Data (VPD) for the system and its components. The output is in a machine-readable format that is often used by higher-level servicability tools. This implementation is merely a pretty-printer for information that has been stored in lsvpd's hardware inventory database at boot and hot-plug time. Therefore, the vpdupdate(8) command must have been executed prior to running lsvpd.

OPTIONS

-l<device>|--list=<device>
    Display VPD info related to user provided specific device.

-m|--mark
    Use the FC field in VPD to mark it as global (********) or partition-specific (========).

-s<serial#>|--serial=<serial#>
    Use <serial#> in the system serial number field instead of attempting to determine a value.

-t<type/model#>|--type=<type/model#>
    Use <type/model#> in the system type/model number field instead of attempting to determine a value.

-p<database-file>|--path=<database-file>
    Use <database-file> as the hardware inventory database, rather than the default directory (/var/lib/lsvpd/vpd.db). This option is useful for producing output for previous hardware inventory databases that have been replaced by the system.

-z<database-archive>|--zip=<database-archive>
    Use <database-archive> as the hardware inventory database, rather than the default directory (/var/lib/lsvpd/). The archive has been compressed using gzip(1). This option is useful for producing output for old hardware inventory databases that have been archived by the system.

-D|--debug
    Use this option to print extra information about devices (sysfs locations, etc).

-v|--version
    Print the version of the command and exit.

-h|--help
    Display a help screen and quit.

FILES

/var/lib/lsvpd/vpd.db
    Database file used by lsvpd.

SEE ALSO

lscfg(8), lsmcode(8), lsvio(8), vpdupdate(8)

AUTHORS

Eric Munson <ebmunson@us.ibm.com>. Brad Peters <bpeters@us.ibm.com>.

Copyright (c) 2002 - 2020 IBM.